package reichert._01_koordinaten_farben_formen;

import processing.core.PApplet;

public class PunktGitterPulsierend extends PApplet {

	private static final long serialVersionUID = 1L;

	int BREITE = 255;
	int HOEHE = 255;

	int ABSTAND = 20;

	public void setup() {
		size(BREITE, HOEHE);

		smooth(); // schn geglttet zeichnen
		frameRate(90); // etwas langsamer als normal
	}

	/**
	 * Zeichne die Punkte pulsierend durch zyklische Variation der Grsse und
	 * der Startposition des Gitternetzes
	 */
	public void draw() {
		background(0, 25, 50);

		// frameCount gibt an, zu wievielten Mal draw() aufgerufen wird.
		// punktStaerke wird die Werte 0, 1, ..., 2*ABSTAND, 0, 1, ...
		// 2*ABSTAND, 0, 1, ... annehmen (% = Rest ganzzahliger Division)
		int punktStaerke = frameCount % (2 * ABSTAND);

		// andere Mglichkeit, die punktStaerke pulsieren zu lassen:
		// punktStaerke = (int) (ABSTAND + sin(radians(frameCount)) * ABSTAND);
		strokeWeight(punktStaerke);

		for (int x = punktStaerke; x < BREITE; x = x + ABSTAND) {
			for (int y = punktStaerke; y < HOEHE; y = y + ABSTAND) {
				stroke(0, x, y);
				point(x, y);
			}
		}
	}

}
